Bug 99088 - Error in output
Error in output
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 09:13 EDT by Eugene
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 09:33:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene 2003-07-14 09:13:26 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
Description of problem: 
//////////////////////////////////////////////////////////////////////////////////////// 
 Not worked, but gcc delete params in 2 "sub" comand 
//////////////////////////////////////////////////////////////////////////////////////// 
 
	PushInt( (*pFPtr)() ); 
 
0x8053571 <CProg::f_FUNCTION(void)+757>:	sub    $0x8,%esp  // ???? May 
be not need 
0x8053574 <CProg::f_FUNCTION(void)+760>:	sub    $0x8,%esp  // ???? And 
this May be not need 
 
0x8053577 <CProg::f_FUNCTION(void)+763>:	mov    0xfffffff8(%ebp),%eax 
0x805357a <CProg::f_FUNCTION(void)+766>:	call   *%eax <printf> 
 
0x805357c <CProg::f_FUNCTION(void)+768>:	add    $0x8,%esp 
0x805357f <CProg::f_FUNCTION(void)+771>:	push   %eax 
0x8053580 <CProg::f_FUNCTION(void)+772>:	pushl  0x8(%ebp) 
 
0x8053583 <CProg::f_FUNCTION(void)+775>:	call   0x805096c 
<CProg::PushInt(int)> 
0x8053588 <CProg::f_FUNCTION(void)+780>:	add    $0x10,%esp 
0x8053591 <CProg::f_FUNCTION(void)+789>:	jmp    0x8053abe 
<CProg::f_FUNCTION(void)+2114> 
 
//////////////////////////////////////////////////////////////////////////////////////////////////// 
  Worked 
//////////////////////////////////////////////////////////////////////////////////////// 
	int i = (*pFPtr)(); 
	PushInt( i ); 
 
0x8053571 <CProg::f_FUNCTION(void)+757>:	mov    0xfffffff8(%ebp),%eax 
0x8053574 <CProg::f_FUNCTION(void)+760>:	call   *%eax <printf> 
 
0x8053576 <CProg::f_FUNCTION(void)+762>:	mov    %eax,0xffffffe8(%ebp) 
0x8053579 <CProg::f_FUNCTION(void)+765>:	sub    $0x8,%esp 
0x805357c <CProg::f_FUNCTION(void)+768>:	pushl  0xffffffe8(%ebp) 
0x805357f <CProg::f_FUNCTION(void)+771>:	pushl  0x8(%ebp) 
 
0x8053582 <CProg::f_FUNCTION(void)+774>:	call   0x805096c 
<CProg::PushInt(int)> 
0x8053587 <CProg::f_FUNCTION(void)+779>:	add    $0x10,%esp 
0x805358a <CProg::f_FUNCTION(void)+782>:	jmp    0x8053ab6 
<CProg::f_FUNCTION(void)+2106> 
 
/////////////////////////////////////////////////////////////////////////////////////////////////// 
 
 
Version-Release number of selected component (if applicable): 
2.96 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
Look coment in text. 
If need, I can mail part C++ text. 
 
 
Additional info: 
 
none 
only in dizasm (in kdevelop).
Comment 1 Richard Henderson 2004-10-03 20:13:05 EDT
Of course you need to attach the test case.  Preferably already
preprocessed.
Comment 2 Jakub Jelinek 2004-11-24 09:33:51 EST
If you have a testcase, please reopen.

Note You need to log in before you can comment on or make changes to this bug.